
%define _initddir %{_sysconfdir}/rc.d/init.d

Name: 3dm2-9xxx
Version: 9.5.1.1
Release: 33%{?dist}
Summary: A set of tools for 3ware based file servers
License: Unknown
URL: http://3ware.com

Group: System Environment/Base
Source0: %{name}-%{version}.tar.gz
Source1: %{name}-%{version}-docs.tar.gz
Source2: %{name}-%{version}-help.tar.gz
ExclusiveArch: i386 i686 x86_64
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post):   chkconfig
Requires(preun):  chkconfig, initscripts
Requires(postun): initscripts

%description
3ware Disk Manager 2 (3DM2) allows you to manage and view the status
of 3ware RAID controllers and associated drives. 3DM runs as a daemon
under Linux. When it is running, you can use your browser to view
status and perform administrative tasks locally or remotely.
3DM can display information about 3ware RAID 7000-, 8000- and
9000-series RAID controllers. However, some version 2 features are
only available for 9000-series controllers.
tw_cli is a Command Line Interface Storage Management Software for
3ware RAID Controllers. It provides controller, logical unit
and drive management.

Summary: 3ware Disk Manager daemon and Command Line Interface tools

%prep
%setup -q -n %{name}-%{version}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/3dm2/msg
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1

install -p -m 0755 etc/rc.d/init.d/tdm2 \
		$RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/tdm2
install -p -m 0644 etc/3dm2/3dm2.conf \
		$RPM_BUILD_ROOT%{_sysconfdir}/3dm2/3dm2.conf
install -p -m 0644 etc/3dm2/msg/tdm_msg_en \
		$RPM_BUILD_ROOT%{_sysconfdir}/3dm2/msg/tdm_msg_en
install -p -m 0644 etc/3dm2/msg/tw_msg_en \
		$RPM_BUILD_ROOT%{_sysconfdir}/3dm2/msg/tw_msg_en
install -p -m 0644 usr/share/man/man1/tw_cli.1 \
		$RPM_BUILD_ROOT%{_mandir}/man1/tw_cli.1
install -p -m 0644 usr/share/man/man1/tw_sched.1 \
		$RPM_BUILD_ROOT%{_mandir}/man1/tw_sched.1
tar xzf %{SOURCE1} -C $RPM_BUILD_ROOT
tar xzf %{SOURCE2} -C $RPM_BUILD_ROOT

%ifarch i386 i686
install -p -m 0755 usr/bin.i386/tw_cli \
		$RPM_BUILD_ROOT%{_bindir}/tw_cli
install -p -m 0755 usr/bin.i386/tw_sched \
		$RPM_BUILD_ROOT%{_bindir}/tw_sched
install -p -m 0755 usr/bin.i386/tw_update \
		$RPM_BUILD_ROOT%{_bindir}/tw_update
install -p -m 0755 usr/sbin.i386/3dm2 \
		$RPM_BUILD_ROOT%{_sbindir}/3dm2
%else
install -p -m 0755 usr/bin.x86_64/tw_cli \
		$RPM_BUILD_ROOT%{_bindir}/tw_cli
install -p -m 0755 usr/bin.x86_64/tw_sched \
		$RPM_BUILD_ROOT%{_bindir}/tw_sched
install -p -m 0755 usr/bin.x86_64/tw_update \
		$RPM_BUILD_ROOT%{_bindir}/tw_update
install -p -m 0755 usr/sbin.x86_64/3dm2 \
		$RPM_BUILD_ROOT%{_sbindir}/3dm2
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add tdm2

%preun
if [ $1 = 0 ]; then
        /sbin/service tdm2 stop > /dev/null 2>&1
        /sbin/chkconfig --del tdm2
fi

%files
%defattr(-,root,root,-)
%{_sysconfdir}/rc.d/init.d/tdm2
%{_sbindir}/3dm2
%{_bindir}/tw_cli
%{_bindir}/tw_sched
%{_bindir}/tw_update
%{_docdir}/3dm2-%{version}
%doc %{_mandir}/man1/tw_cli.1.gz
%doc %{_mandir}/man1/tw_sched.1.gz
%{_datadir}/3dm2/help
%dir %{_sysconfdir}/3dm2
%{_sysconfdir}/3dm2/msg
%config(noreplace) %{_sysconfdir}/3dm2/3dm2.conf

%changelog
* Thu Apr 16 2009 vvm@mammoth.jinr.ru
- tweaking 3dm2.conf a bit

* Thu Apr 16 2009 vvm@mammoth.jinr.ru
- drop perl(v5.6.0) from dependencies

* Wed Apr 15 2009 vvm@mammoth.jinr.ru
- initial release

